﻿"use strict";


	function timeFormatter(cellValue, options, rowdata)
	{   
    if(cellValue == undefined){ return '';};
		return cellValue.substring(0,5);
  }  
    
	function cnoFormatter(cellValue, options, rowdata)
	{   
    if(cellValue == undefined){ return '';};
    if(cellValue == 0){ return '';};
    return cellValue;
  }  
  
	function stationFormatter(cellValue, options, rowdata)
	{   
    if(cellValue == undefined){ return '';};
  	return cellValue.toUpperCase();
  }
    	
  function refreshLogGrid()
  {
		phpGrid_loggrid.setGridParam({
		postData: {
		filters:'{"groupOp":"AND","rules":[{"field":"Id","op":"gt","data":"0"}]}'             
		},
		"search":true,
		page:1
		}).trigger("reloadGrid");
 
  }  	
    	
	function searchLogGrid()
	{
		phpGrid_loggrid.setGridParam({
		postData: {
		filters:'{"groupOp":"AND","rules":[{"field":"callsign","op":"cn","data":"' + $("#logCallsign").val() +'"}]}'             
		},
		"search":true,
		page:1
		}).trigger("reloadGrid");
	}


function onLogClick()
{
  divToggle('poplog',1);
  logShowing = true;
}



// possible use to corrent jqGrid date and time pickers
function UTCDateTime()
{
	var d = new Date();
	var hours = d.getUTCHours() -2;
	var minutes = d.getUTCMinutes();
	var seconds = d.getUTCSeconds();
	var date = d.getUTCDate();
	var mon = d.getUTCMonth();
	var year = d.getUTCFullYear();
	var dutc = new Date(year, mon, date, hours, minutes, seconds);
	return dutc;
}


function UTCTimeNow()
{
	var d = new Date();
	var hours = d.getUTCHours();
	var minutes = "0" + d.getUTCMinutes();
	var seconds = "0" + d.getUTCSeconds();
	return hours + ':' + minutes.substr(-2) + ':' + seconds.substr(-2);
}


function UTCDateNow()
{
	var d = new Date();
	var date = "0" + d.getUTCDate();
	var mon = "0" + (d.getUTCMonth() + 1);
	var year = d.getUTCFullYear();
	var utcd = date.substr(-2) + '/' + mon.substr(-2) + '/' + year;
	return utcd;
}



function onLogTodayClick()
{
	document.getElementById(currentRowid + "_date").value = UTCDateNow();
}


function onLogStartClick()
{
	document.getElementById(currentRowid + "_start").value = UTCTimeNow();
}



function onLogFinishClick()
{
	document.getElementById(currentRowid + "_finish").value = UTCTimeNow();
}


function onLogFreqClick()
{
	document.getElementById(currentRowid + "_frequency").value = freqSet/1000000;  // use this ...; cannot save arter setCell !!	
}


function onLogModeClick()
{
	document.getElementById(currentRowid + "_mode").value = $("#ModeRxSel").text(); 	
}


function onLogPowerClick()
{
	document.getElementById(currentRowid + "_pwr").value = getPWRF().match(/\d+/)[0];
}


function onLogCallsignClick()
{
	document.getElementById(currentRowid + "_callsign").value = $("#logCallsign").val().toUpperCase();
}

  
function onLogQrzClick()
{
	window.open("Http://qrz.com/db/" + $("#logCallsign").val());
}  
  


function onLogMultiClick(rig)
{
	if(rig)
	{
		document.getElementById(currentRowid + "_frequency").value = freqSet/1000000;  // use this ...; cannot save after setCell !!
		document.getElementById(currentRowid + "_mode").value = $("#ModeRxSel").text(); 	
		document.getElementById(currentRowid + "_pwr").value = getPWRF().match(/\d+/)[0]; 		
	}
	document.getElementById(currentRowid + "_start").value = UTCTimeNow();
	document.getElementById(currentRowid + "_date").value = UTCDateNow();
	document.getElementById(currentRowid + "_callsign").value = $("#logCallsign").val().toUpperCase();
	var cno = parseInt($("#logContestNo").val());
	if(!cno) return;
	if(cno == 0) {return;}; 	
	document.getElementById(currentRowid + "_cno").value = cno; 	 	
	queueWebcatMessage('DATA', 'X', CAT_WRITE, 'CONC', cno, true, 0);
	cno += 1;
	var scno = cno.toString();
	$("#logContestNo").val(scno);
}


function onLogExitClick()
{
  divToggle('poplog',0);
  logShowing = false;
}




function onLogContestNoChange()
{
 	var cno = parseInt($("#logContestNo").val()); 	
	queueWebcatMessage('DATA', 'X', CAT_WRITE, 'CONC', cno, true, 0);
}



function timeNow()
{
	var d = new Date();
	var h = d.getHours();
	var m = d.getMinutes();
	var s = d.getSeconds();
	return pad(h,2) + ':' + pad(m,2) + ':' + pad(s,2);
}

function today()
{
	var td = new Date();
	var dd = String(td.getDate()).padStart(2, '0');
	var mm = String(td.getMonth() + 1).padStart(2, '0'); //January is 0!
	var yyyy = td.getFullYear();
	return dd + '/' + mm + '/' + yyyy;
}





