﻿"use strict";

const BTN_MEM_1	= 401;
const BTN_MEM_2	= 402;
const BTN_MEM_3	= 403;
const BTN_MEM_4	= 404;
const BTN_MEM_5	= 405;
const BTN_MEM_6	= 406;
const BTN_MEM_7	= 407;
const BTN_MEM_8	= 408;
const BTN_MEM_9	= 409;
const BTN_MEM_DEL	= 410;
const BTN_MEM_0	= 411;
const BTN_MEM_OK  = 412;
const BTN_MEM_EXIT	= 413;

var mpString;


function startMempad()
{
	mpString = '';
	$("#mempadText").text('');
	divToggle('popMempad',1);
	mpadShowing = true;
}



function onMempadClick(mpbtn)
{
	switch(mpbtn)
	{
		case BTN_MEM_1: {mpKey(1); break;};
		case BTN_MEM_2: {mpKey(2); break;};

		case BTN_MEM_3: mpKey(3); break;
		case BTN_MEM_4: mpKey(4); break;
		case BTN_MEM_5: mpKey(5); break;
		case BTN_MEM_6: mpKey(6); break;
		case BTN_MEM_7: mpKey(7); break;
		case BTN_MEM_8: mpKey(8); break;
		case BTN_MEM_9: mpKey(9); break;
		case BTN_MEM_0: mpKey(0); break;
		case BTN_MEM_EXIT:
		{
			divToggle('popMempad',0);		
			mpadShowing = false;
			break;
		}
		case BTN_MEM_OK:
		{
			memToRadio(parseInt(mpString));
			divToggle('popMempad',0);	
			$("#MemIndicator").text("M:" + mpString);		
			blockMemClear = true;
			memFreq = 0;
			setTimeout(sendMTOV, 1000);
			setTimeout(function(){ blockMemClear = false; }, 3000);
			break;
		}
		case BTN_MEM_DEL:
		{
			if(mpString.length == 0) break;
			mpString = mpString.slice(0, -1); 
			$("#mempadText").text(mpString);
		  break;
		} 	
	}
}


function sendMTOV()
{
	queueWebcatMessage('BUTN', 'X', CAT_WRITE, 'MTOV', 0, true);
}

function mpKey(n)
{
	if(mpString.length >= 4) return;
	mpString += String.fromCharCode(48 + n);
	$("#mempadText").text(mpString);  
}


function  memToRadio(m)
{
	queueWebcatMessage('BUTN', VfoRx, CAT_WRITE, 'MPAD', m, true, 0);
}


