<?php

	error_reporting(E_ALL);
	ini_set('display_errors', '1');
	ini_set("output_buffering","On");
	ob_start();
	session_start();


	require_once 'wcmysql.php'; 
	require_once 'wcenums.php';



if(isset($_SESSION['catcomms'])) {$catcomms = $_SESSION['catcomms'];}


$an = new ajaxinit;
$an->JobList();








class ajaxinit
{

	public function JobList()
	{
		$job = intval($_POST['job']);
		$rig = $_POST['rig'];
		switch($job)
		{
			case GET_BUTTONS:
				$this->GetButtonData($rig);
			  break;  	
			case GET_SLIDERS: 
			  $this->GetSliderData($rig); 
			  break;  	
			case GET_LOOKUPS: 
			  $this->GetLookupData($rig); 
			  break;  			  			
			case GET_TIMINGS: 
			  $this->GetTimingData($rig); 
			  break;  					  
			case GET_METER: 
			  $this->GetMeterData($rig); 
			  break;  					  
			case GET_METER_CAL: 
			  $this->GetMeterCalData($rig); 
			  break;  					  
			case GET_RADIOS: 
				$this->GetRadiosData(); 
		  	break;  					  
			case GET_SETTINGS: 
				$this->GetSettingsData(); 				
		  	break;  		
			case GET_BANDS: 
				$this->GetBandsData(); 
		  	break;  			
			case GET_SYNC_BUTTONS: 
				$this->GetSyncButtonData($rig); 
		  	break;  					  				  				  		
			case GET_SYNC_SLIDERS: 
				$this->GetSyncSliderData($rig); 
		  	break;  					  				  				  		
		  			  				  				  		
		}	
	}
	
	
	public function ZeroButtonArray()
	{
		global $BtnIndexIB;
	}	
	
	
	public function GetButtonData($rig)
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
		// there are 98 buttone with button numbers in the range 2 - 146  -  
		// Modification Jan 2021 - Create button array for 100 buttons  maring all as inactive
		// then modifiy with buttons programmed in database
		// Allows user to start with a screen full of greyed out buttons
		// Removes need to configure all unused buttons.
 
		// reverse index for btnno lookup
		$BtnIndexBI = array  //   BI means butnno to $ButtonArray index
		(
			 0, 0, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9,10,11,12,13,14,15,16,17,  // index = btnnos 0 -19   (2-19 exist)
			18,19,20,21,22,23,24, 0, 0, 0, 0,25,26,27,28, 0, 0,29,30, 0,  // index = btnnos 20-39   (20-26, 31-34, 37-38 exist)
			31,32,33,34,35,36,37, 0, 0, 0, 0,38,39,40,41,42,43, 0,44,45,  // index = btnnos 40-59   (40-46, 51-56, 58-59  exist)
			 0,46,47,48,49,50,51,52,53,54,55,56,57, 0, 0,58,59, 0, 0,60,  // index = btnnos 60-79   (61-72, 75-76, 79 exist)
			61,62,63,64, 0, 0, 0, 0, 0,65,66, 0, 0, 0, 0, 0, 0, 0, 0, 0,  // index = btnnos 80-99   (80-83, 89,90 exist)
			67,68,69,70,71,72,73, 0, 0, 0, 0,74,75,76,77,78,79, 0, 0, 0,  // index = btnnos 100-119 (100-106, 111-116 exist)
			 0,80,81,82,83,84,85, 0, 0, 0, 0,86,87,88,89,90,91, 0, 0, 0,  // index = btnnos 120-139 (121-126, 131-136 exist)
			 0,92,93,94,95,96,97                                          // index = btnnos 140-146 (141-146 exist) 
		);

		// Button number index to put button nunmbers in array bat initialisation of empty array
 		$BtnIndexIB = array   // IB means $ButtonArray index to butnno
		(
		   2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21,  //  0 - 19
			22, 23, 24, 25, 26, 31, 32, 33, 34, 37, 38, 40, 41, 42, 43, 44, 45, 46, 51, 52,  // 20 - 39
			53, 54, 55, 56, 58, 59, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 75, 76,  // 40 - 59
			79, 80, 81, 82, 83, 89, 90,100,101,102,103,104,105,106,111,112,113,114,115,116,  // 60 - 79
			121,122,123,124,125,126,131,132,133,134,135,136,141,142,143,144,145,146           // 80 - 98 
		);

		$ButtonArray = array();	
		// Initialise $ButtonArray with button numbers and Inactive status
		for($i=0;$i<98;$i++)
		{	
			$ButtonArray[$i] =
		  	array(
		  	'btnno' => $BtnIndexIB[$i],
		  	'active' => 'N',
		  	'color' => 0,
		  	'caption'  => '',
		  	'code' => '',
		  	'vx' => 'N',
		  	'action' => 'N',
		  	'von' => '',
		  	'voff' => '',
		  	'bgsdata' => '',
		  	'aval' => 0,
		  	'bval' => 0,
		  	'xval' => 0
			);
		}
		// conect to database		
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
 		
 		switch($catcomms)
 		{
 			case 'CIV':
			{			
				$sql = "SELECT btnno, active, color, caption, code, vx, action,  von, voff, bgsdata ";
	  		$sql .= "FROM buttonsciv WHERE rig = '" . $rig . "';"; 
	 	  	$result = mysqli_query($conn, $sql);
		   	while($row = mysqli_fetch_array($result))
	 	  	{ 
		 		 	$btnno = $row[0];
		 		 	$i = $BtnIndexBI[$btnno];
		 		 	$ButtonArray[$i] = 
		  		 	array(
		  		 	  'btnno' => $row[0],   // redundant - already set
 		  		 	  'active' => $row[1],
		  		 	  'color' => $row[2],
		  		    'caption'  => $row[3],
		  		 	  'code' => $row[4],
		  		 	  'vx' => $row[5],
		  		    'action' => $row[6],
		  		    'von' => $row[7],
		  			  'voff' => $row[8],
		  			  'bgsdata' => $row[9],
		  			  'aval' => 0,
		  			  'bval' => 0,
		  			  'xval' => 0
		 				);		
				};			
				break;
			}
			
			case 'ASCII':
			case 'YAESU5':	
			{
				$sql = "SELECT btnno, active, color, caption, code, vx, action, seton, anson, setoff, ansoff, nset, nans, bgsdata ";
		 	 	$sql .= "FROM buttons WHERE rig = '" . $rig . "';"; 
		   	$result = mysqli_query($conn, $sql);
		   	while($row = mysqli_fetch_array($result))
		   	{ 
		 		 	$btnno = $row[0];
					$i = $BtnIndexBI[$btnno];
		 		 	$ButtonArray[$i] = 
		  		 	array(
							'btnno' => $row[0],
	  		 			'active' => $row[1],
	  		 			'color' => $row[2],
	  		 			'caption' => $row[3],
	  		 			'code' => $row[4],
	  		 			'vx' => $row[5],
	  		  		'action' => $row[6],
	  		  		'seton' => $row[7],
	  		  		'anson' => $row[8],
	  		  		'setoff' => $row[9],
	  		  		'ansoff' => $row[10],
	  		  		'nset' => $row[11],
	  		  		'nans' => $row[12],
	  		  		'bgsdata' => $row[13],
	  		  		'aval' => 0,
	  		  		'bval' => 0,
	  		  		'xval' => 0   
						);
				};
				break;			
			}	
						
			case 'HAMLIB':	
			{
				$sql = "SELECT btnno, active, color, caption, code, vx, getset, action, seton, anson, setoff, ansoff, nset, nans, bgsdata ";
		 	 	$sql .= "FROM buttonshl WHERE rig = '" . $rig . "';"; 
		   	$result = mysqli_query($conn, $sql);
		   	$i = 0;
		   	while($row = mysqli_fetch_array($result))
		   	{ 
		 		 	$btnno = $row[0];
					$i = $BtnIndexBI[$btnno];		 		 	
		 		 		$ButtonArray[$i] = 
	  		 		  array(
	  		 		  'btnno' => $row[0],
	  		 		  'active' => $row[1],
	  		 		  'color' => $row[2],
	  		 			'caption'  => $row[3],
	  		 			'code' => $row[4],
	  		 			'vx' => $row[5],
	  		 			'getset' => $row[6],
	  		  	  'action' => $row[7],
	  		  	  'seton' => $row[8],
	  		  	  'anson' => $row[9],
	  		  	  'setoff' => $row[10],
	  		  	  'ansoff' => $row[11],
	  		  	  'nset' => $row[12],
	  		  	  'nans' => $row[13],
	  		  	  'bgsdata' => $row[14],
	  		  	  'aval' => 0,
	  		  	  'bval' => 0,
	  		  	  'xval' => 0    
	 					);
				};
				break;			
			}	
		}		
		mysqli_close($conn);
		echo json_encode($ButtonArray);	
	}
	
	
	
	
	
	
	
	public function GetSyncButtonData($rig)
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
		$SyncButtonsArray = array();	
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		
		switch($catcomms)
		{
			case 'CIV':
			{
				$sql = "SELECT btnno, code, vx ";
		 	 	$sql .= "FROM buttonsciv WHERE rig = '" . $rig . "'"; 
		  	$sql .= " AND (active = 'S' OR active = 'L');";
		   	$result = mysqli_query($conn, $sql);
		   	$i = 0;
		   	$prevcode = "xyz";
		   	while($row = mysqli_fetch_array($result))
		   	{ 
		 		 	$code = $row[1];
		 		 	if($code != $prevcode)
		 		 	{
						$prevcode = $code;		 		 	
		 		 		$SyncButtonsArray[$i++] = 
		  		 	  array(
		  		 	  'btnno' => $row[0],
		  		 		'code' => $row[1],
		  		 		'vx' => $row[2]
		 					);
		 			}			
				};
				break;							
			}
			
			case 'ASCII':
			case 'YAESU5':
			{
				$sql = "SELECT btnno, code, vx ";
		  	$sql .= "FROM buttons WHERE rig = '" . $rig . "'"; 
		  	$sql .= " AND (active = 'S' OR active = 'L');";
		   	$result = mysqli_query($conn, $sql);
		   	$i = 0;
		   	$prevcode = "xyz";
		   	while($row = mysqli_fetch_array($result))
		   	{ 
		 		 	$code = $row[1];
		 		 	if($code != $prevcode)
		 		 	{
		 		 		$prevcode = $code;
		 		 		$SyncButtonsArray[$i++] = 
	  		 		  array(
	  		 		  'btnno' => $row[0],
	  		 			'code' => $row[1],
	  		 			'vx' => $row[2]
	 					);
	 				}		
				};
				break;			
			}
			
			case 'HAMLIB':
			{
				$sql = "SELECT btnno, code, vx ";
		  	$sql .= "FROM buttonshl WHERE rig = '" . $rig . "'"; 
		  	$sql .= " AND (active = 'S' OR active = 'L');";
		   	$result = mysqli_query($conn, $sql);
		   	$i = 0;
		   	$prevcode = "xyz";
		   	while($row = mysqli_fetch_array($result))
		   	{ 
		 		 	$code = $row[1];
		 		 	if($code != $prevcode)
		 		 	{
						$prevcode = $code;		 		 	
		 		 		$SyncButtonsArray[$i++] = 
	  			 	  array(
	  			 	  'btnno' => $row[0],
	  			 		'code' => $row[1],
	  			 		'vx' => $row[2]
	 					);	
	 				}		
				};
				break;			
			}
		}	
		mysqli_close($conn);
		echo json_encode($SyncButtonsArray);	
	}

	
	public function GetSliderData($rig)
	{
		global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
		

		// there are 29 items in the sliders table (25 sliders and four text items: 51-54)
		// with slider numbers in the range 1 - 54  - 
		// Modification Jan 2021 - Create slider array for 29 items  marking all as inactive
		// then modifiy with sliders data programmed in database
		// Allows user to start with a screeen full of greyed out buttons
		// Removes need to configure all unused buttons.

		// reverse index for btnno lookup
		$SliderIndexSI = array  //   SI means sliderno to $SliderArray index
		(
			 0, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9,10,11, 0, 0, 0, 0, 0,12,13,  // index = slidernos 0 -19   (1-12, 18-19 exist)
			14,15,16,17,18,19,20,21, 0,22,23, 0, 0, 0, 0, 0, 0, 0,24, 0,  // index = slidernos 20-39   (20-27, 29-30, 38 exist)
			0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,25,26,27,28                  // index = slidernos 40-54   (51-54  exist)	                                 // index = btnnos 140-146 (141-146 exist) 
		);

		// Button number index to put button nunmbers in array bat initialisation of empty array
		$SliderIndexIS = array   // IS means $SliderArray index to sliderno
		(
			 1, 2, 3, 4, 5, 6, 7, 8, 9,10,11,12,18,19,20,21,22,23,24,25,  //  0 - 19
			 26,27,29,30,38,51,52,53,54   // 20 - 28
		);
				
		switch($catcomms)
		{ 
			case 'CIV': 		$table = 'slidersciv'; break;
			case 'ASCII':
			case 'YAESU5':  $table = 'sliders'; break;
			case 'HAMLIB': 	$table = 'slidershl'; break;
		}
		
		$SliderArray = array();

		// Initialise $SliderArray with slider numbers and Inactive status
		for($i=0;$i<29;$i++)
		{	
			$SliderArray[$i] =
		  array(
	  		'sliderno' => $SliderIndexIS[$i],
	  		'active' => 'N',
	  		'caption' => '', 
	  		'color' => 0,
	    	'code' => '',
	    	'vx' => 'N',
	    	'min' => 0,
	    	'max' => 0,
	    	'def' => 0,
	  		'mult' => 1,
	  		'divide' => 1,
	    	'offset' => 0,
 	    	'units' => '',
 	    	'lookup' => 'N',
	    	'decpoint' => 0,
	    	'aval' => 0,
	    	'bval' => 0,
	    	'xval' => 0			
	    );
		}
	
		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }  
		$sql = "SELECT sliderno, active, caption, color, code, vx, min, max, def, mult, divide, offset, units, lookup, decpoint ";
		$sql .= "FROM " . $table . " WHERE rig = '" . $rig . "' ORDER BY sliderno;";
	  $result = mysqli_query($conn, $sql);
	  $prevsliderno = 9999;
//	  $sliderno = 0;
	  while($row = mysqli_fetch_array($result))		
	  {
	  	$sliderno = $row[0];
	  	
	  	
	  	if(($sliderno != $prevsliderno) && ($sliderno > 0))
	  	{
	  		$prevsliderno = $sliderno;
	  		$i =  $SliderIndexSI[$sliderno];
	  			 
	  		$SliderArray[$i]['sliderno'] = $row[0];
	  		$SliderArray[$i]['active'] = $row[1];
	  		$SliderArray[$i]['caption'] = $row[2]; 
		 		$SliderArray[$i]['color'] = $row[3];
	    	$SliderArray[$i]['code'] = $row[4];
	    	$SliderArray[$i]['vx'] = $row[5];
	    	$SliderArray[$i]['min'] = $row[6];
	    	$SliderArray[$i]['max'] = $row[7];
	    	$SliderArray[$i]['def'] = $row[8];
	  		$SliderArray[$i]['mult'] = $row[9];
	  		$SliderArray[$i]['divide'] = $row[10];
	    	$SliderArray[$i]['offset'] = $row[11];
 	    	$SliderArray[$i]['units'] = $row[12];
 	    	$SliderArray[$i]['lookup'] = $row[13];
	    	$SliderArray[$i]['decpoint'] = $row[14];
	    	$SliderArray[$i]['aval'] = 0;
	    	$SliderArray[$i]['bval'] = 0;
	    	$SliderArray[$i]['xval'] = 0;   
			};	
		};				
	  	
/*	  	
	  	
	  	if(($sliderno != $prevsliderno) && ($sliderno > 0))
	  	{
	  		$prevsliderno = $sliderno;
	  		$i =  $SliderIndexSI[$sliderno];
	  		$SliderArray[$i] = 
	  		 	array(
	  		  'sliderno' => $row[0],
	  		  'active' => $row[1],
	  			'caption' => $row[2], 
	  			'color' => $row[3],
	    	 	'code' => $row[4],
	    	 	'vx' => $row[5],
	    	 	'min' => $row[6],
	    	 	'max' => $row[7],
	    	 	'def' => $row[8],
	  		 	'mult' => $row[9],
	  		 	'divide' => $row[10],
	    	 	'offset' => $row[11],
 	    	 	'units' => $row[12],
 	    	 	'lookup' => $row[13],
	    	 	'decpoint' => $row[14],
	    	 	'aval' => 0,
	    	 	'bval' => 0,
	    	 	'xval' => 0   
	 				);
	 		};	
		};				
*/
		mysqli_close($conn);
		echo json_encode($SliderArray);	
	}
	
	
	
public function GetSyncSliderData($rig)
	{
		global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
	
		switch($catcomms)
		{ 
			case 'CIV': 		$table = 'slidersciv'; break;
			case 'ASCII':
			case 'YAESU5':  $table = 'sliders'; break;
			case 'HAMLIB': 	$table = 'slidershl'; break;
		}	
		$SyncSliderArray = array();
		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }  
		$sql = "SELECT sliderno, code, vx ";
		$sql .= "FROM " . $table . " WHERE rig = '" . $rig;
		$sql .= "' AND (active = 'S' OR active = 'L' OR active = 'T' ) ORDER BY sliderno;";
	  $result = mysqli_query($conn, $sql);
	  $i = 0;
	  $prevsliderno = 9999;
	  $sliderno = 0;
	  while($row = mysqli_fetch_array($result))		
	  {
	  	$sliderno = $row[0];
	  	if($sliderno != $prevsliderno)
	  	{
	  		$prevsliderno = $sliderno;
	  		$SyncSliderArray [$i++] = 
	  		 	array(
	  		  'sliderno' => $row[0], 
	    	 	'code' => $row[1],
	    	 	'vx' => $row[2]
	 				);
	 		};	
		};				
		mysqli_close($conn);
		echo json_encode($SyncSliderArray);	
	}
	
	
	
	
	
	
	public function GetLookupData($rig)
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		$LookupArray = array();	
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT code, mode, catvalue, lookup FROM lookups WHERE rig = '" . $rig . "';";
   	$result = mysqli_query($conn, $sql);
   	$i = 0;
   	while($row = mysqli_fetch_array($result))
   	{ 
 		 	$LookupArray[$i++] = 
  		 	  array(
  		 	  'code' => $row[0],
  		 		'mode'  => $row[1],
  		 		'catvalue' => $row[2],
  		    'lookup' => $row[3]   
 				);	
		};	
		mysqli_close($conn);
		echo json_encode($LookupArray);	
	}
	


	
public function GetTimingData($rig)
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		$TimmingsArray = array();	
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database); 
		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT mox, sync, meter, freqcur, freqzz, modecur, modezz, chkband, chksetfreq, disable, readqueue FROM timings WHERE rig = '" . $rig . "';";
   	$result = mysqli_query($conn, $sql);
   	$i = 0;

   	while($row = mysqli_fetch_array($result))
   	{ 
 		 	$TimingsArray[$i++] = 
  		 	  array(
  		 	  'mox' => $row[0],
  		 	  'sync' => $row[1],
  		 		'meter'  => $row[2],
  		 		'freqcur'  => $row[3],
  		 		'freqzz'  => $row[4],
  		 		'modecur' => $row[5],
  		 		'modezz' => $row[6],
  		 		'chkband'  => $row[7],
  		 		'chksetfreq'  => $row[8],
  		 		'disable' => $row[9],
  		 		'readqueue'  => $row[10]
  		 	);	
		};	
		mysqli_close($conn);
		echo json_encode($TimingsArray);	
	}
	
		
	
public function GetMeterData($rig)
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
		
		switch($catcomms)
		{ 
			case 'CIV': 		$table = 'meterciv'; break;
			case 'ASCII':
			case 'YAESU5':  $table = 'meter'; break;
			case 'HAMLIB': 	$table = 'meterhl'; break;
		}			
		$MeterArray = array();	
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT caption, code, btnno, abx, mult, divide, offset, usecal FROM " . $table . " WHERE rig = '" . $rig . "';";
   	$result = mysqli_query($conn, $sql);
   	$i = 0;
   	while($row = mysqli_fetch_array($result))
   	{ 
 		 	$MeterArray[$i++] = 
  		 	  array(
  		 			'caption' => $row[0],
 		 	 			'code' => $row[1],
 		 	 			'btnno' => $row[2],
 		 	 			'abx' => $row[3],
  		 			'mult'  => $row[4],
  		 			'divide' => $row[5],
  		 			'offset' => $row[6],
  		 			'usecal' => $row[7]
  		 	);	
		};	
		mysqli_close($conn);
		echo json_encode($MeterArray);	
		
	}
	
	
public function GetMeterCalData($rig)
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
		$MeterCalArray = array();	
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT meter, seq, inval, outval FROM metercal WHERE rig = '" . $rig . "';";
   	$result = mysqli_query($conn, $sql);
   	$i = 0;
   	while($row = mysqli_fetch_array($result))
   	{ 
 		 	$MeterCalArray[$i++] = 
  		 	  array(
  		 			'meter' => $row[0],
 		 	 			'seq' => $row[1],
 		 	 			'inval' => $row[2],
 		 	 			'outval' => $row[3]
  		 	);	
		};	
		mysqli_close($conn);
		echo json_encode($MeterCalArray);	
		
	}
	

public function GetRadiosData()
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
		$RadiosArray = array();	
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT rig, hamlib, vfomode, description, connection, catcomms, civaddr, rigfix, baudrate, stopbits, charbits, parity, vfobvis, afswap FROM rigs;";
   	$result = mysqli_query($conn, $sql);
   	$i = 0;
   	while($row = mysqli_fetch_array($result))
   	{ 
 		 	$RadiosArray[$i++] = 
  		 	  array(
  		 			'rig' => $row[0],
  		 			'hamlib' => $row[1],  		 
  		 			'vfomode' => $row[2],		
  		 			'description' => $row[3],
 		 	 			'connection' => $row[4],
 		 	 			'catcomms' => $row[5],
 		 	 			'civaddr' => $row[6],
 		 	 			'rigfix'	 => $row[7],
 		 	 			'baudrate' => $row[8],
 		 	 			'stopbits' => $row[9],
 		 	 			'charbits' => $row[10],
 		 	 			'parity'   => $row[11],
 		 	 			'vfobvis'  => $row[12],
 		 	 			'afswap' 	 => $row[13]
  		 	);	
		};	
		mysqli_close($conn);
		echo json_encode($RadiosArray);	
	}


public function GetSettingsData()
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
		$SettingsArray = array();	
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT rig, mwF, mwM, mwS, mdF, mdM, mdS, cno, logX, logY, locW FROM settings WHERE Id = 1;";
   	$result = mysqli_query($conn, $sql);
   	$i = 0;
   	while($row = mysqli_fetch_array($result))
   	{ 
 		 	$SettingsArray[$i++] = 
  		 	  array(
  		 			'rig' => $row[0],
  		 			'mwF' => $row[1],
  		 			'mwM' => $row[2],
  		 			'mwS' => $row[3],
  		 			'mdF' => $row[4],
  		 			'mdM' => $row[5],
  		 			'mdS' => $row[6], 
  		 			'cno' => $row[7],
  		 			'logX' => $row[8],
  		 			'logY' => $row[9],
  		 			'locW' => $row[10] 
  		 	);	
		};	
		mysqli_close($conn);
		echo json_encode($SettingsArray);	
	}

	
public function GetBandsData()
	{
	  global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $catcomms;
		$BandsArray = array();	
 		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT band, num, lowedge, highedge FROM bands;";
   	$result = mysqli_query($conn, $sql);
   	$i = 0;
   	while($row = mysqli_fetch_array($result))
   	{ 
 		 	$BandsArray[$i++] = 
  		 	  array(
  		 			'band' => $row[0],
  		 			'num' => $row[1],
  		 			'lowedge' => $row[2],
  		 			'highedge' => $row[3]
  		 	);	
		};	
		mysqli_close($conn);
		echo json_encode($BandsArray);	
	}

	
	
	
} // end class	

	
?>
	
	
	
