﻿// Javascript utilites

"use strict";

	var NextRowIndex = 0;
	
	var debugSeq = 1;
	var debugRun = true;

	function maroonbold(txt){return '<span class = "maroonbold">' + txt + '</span>';}
	function bluebold(txt){return '<span class = "bluebold">' + txt + '</span>';}
	function greenbold(txt){return '<span class = "greenbold">' + txt + '</span>';}
	function redbold(txt){return '<span class = "redbold">' + txt + '</span>';}
	function navybold(txt){return '<span class = "navybold">' + txt + '</span>';}
	function purplebold(txt){return '<span class = "purplebold">' + txt + '</span>';}
	function tealbold(txt){return '<span class = "tealbold">' + txt + '</span>';}

	function maroon(txt){return '<span class = "maroon">' + txt + '</span>';}
	function blue(txt){return '<span class = "blue">' + txt + '</span>';}
	function green(txt){return '<span class = "green">' + txt + '</span>';}
	function red(txt){return '<span class = "red">' + txt + '</span>';}
	function navy(txt){return '<span class = "navy">' + txt + '</span>';}
	function purple(txt){return '<span class = "purple">' + txt + '</span>';}
	function teal(txt){return '<span class = "teal">' + txt + '</span>';}
	function grey(txt){return '<span class = "grey">' + txt + '</span>';}


////////////////////////////////////////////////////////////
/////////  POPUP Toogle ///////
	function divToggle(DivID, iState) // 1 visible, 0 hidden
	{
		if(document.getElementById)	  //gecko(NN6) + IE 5+
    {
        var obj = document.getElementById(DivID);
        obj.style.visibility = iState ? "visible" : "hidden";
    }
	}

 	function isVisible(DivId)
 	{
		if($("#" + DivId).hasClass("visible")) {alert('WWWW');return true;} else {return false;}
 	}

/////////////////////////////////////////

// interger to string with ldeading zeros
	function pad(num, size)
	{
    var s = num+"";
    while (s.length < size) s = "0" + s;
    return s;
	}	


// Converts an integer (unicode value) to a char
	function itoa(i)
	{
	   return String.fromCharCode(i);
	}


// Converts a char into to an integer (unicode value)
	function atoi(a)
	{
	   return a.charCodeAt();
	}

	
	
	function checkboxSet(id, value)
	{
		ss = "#" + id;
		if (value > 0) 
		{$(ss).prop('checked', true);}
		else
		{$(ss).prop('checked', false);}
	}	

	function rbSet(name, value)
	{
		$('input[name="' + name+ '"][value="' + value + '"]').prop('checked', true);
	}


  function isHex(string)
  {
    for (i=0; i<string.length; i++)
    {
      if (isNaN(parseInt(string.charAt(i), 16)))
        {return false;}
    }
    return true;
  }

	
	function hexboxFDFF(obj)
	{
    obj.value = obj.value.toUpperCase();
		var s = obj.value;
		var n = s.length;
		if((!isHex(s)) || (s > 'FDFF'))
		{
		  if(n<2) s = ""; else s = s.substring(0,n-1);
			obj.value = s;
		}	
	}
	
	
	function stringClean(obj)
	{
		var s = obj.value;
		s = s.replace("'", "");
		s = s.replace('"', "");	
		s = s.replace("(", "");	
		s = s.replace(")", "");	
		s = s.replace("[", "");
		s = s.replace("]", "");		
		s = s.replace(".", "");
		s = s.replace(",", "");
		s = s.replace("+", "");
		s = s.replace("@", "");						
		obj.value = s;
	}
	
	
	function hexbox(obj)
	{
    obj.value = obj.value.toUpperCase();
		var s = obj.value;
		var n = s.length;
		if(!isHex(s))
		{
		  if(n<2) s = ""; else s = s.substring(0,n-1);
			obj.value = s;
		}	
	}


	function numbox(obj)
	{
		var s = obj.value;
		var n = s.length;
		if(!$.isNumeric(s)) 
		{
		  if(n<2) s = ""; else s = s.substring(0,n-1);
			obj.value = s;
		}	
	}

	function numboxdalilevel(obj)
	{
		var s = obj.value;
		level = parseInt(s);
		if(level > 254)
		{
			s = 254;
			obj.value = s;
		}
		var n = s.length;
		if(!$.isNumeric(s)) 
		{
		  if(n<2) s = ""; else s = s.substring(0,n-1);
			obj.value = s;
		}	
	}

	

	function decimalToHex(d, padding) {
    var hex = Number(d).toString(16);
    padding = typeof (padding) === "undefined" || padding === null ? padding = 2 : padding;

    while (hex.length < padding) {
        hex = "0" + hex;
    }
    return hex;
	}

function isBlank(str) 
{
    return (!str || /^\s*$/.test(str));
}

function FormatTime(obj)
{
    var v = "0000" + obj.value.replace(/[^\d]/g,"").substring(0,4);
    v = v.substring(v.length-4);
    var h = v.substring(0,2);
    var m = v.substring(2);
    if(parseInt(h) > 23) {obj.value = '00:00'; return;}
    if(parseInt(m) > 59) {obj.value = '00:00'; return;}
    obj.value = h + ":" + m;
}


function TimeBox(obj)
{
	var s = obj.value;
	var n = s.length;
	if(n==0) { return;}
	for(i=0;i<n;i++)
	{
		if(((s[i] < '0') || (s[i] > '9')) && (s[i] != '.') && (s[i] != ':')) { s = s.substring(0,i);}	
	}
	obj.value = s;
}


function ClearTime(obj)
{
	if(obj.value == '00:00') {obj.value = '';}
}

function ZeroTime(obj)
{
    if(isBlank(obj.value)) {obj.value = '00:00'; return;};

}
