<?php	
	ini_set("output_buffering","On");
	error_reporting(E_ALL);
	ini_set('display_errors', '1');
	ob_start();
	session_start();
	
	require_once 'wcpicom.php';
	require_once 'wcenums.php';	
	require_once 'wctaskmysql.php';	
	require_once 'wccoder.php';
	require_once 'wccoderciv.php';
	require_once "wcgetmyrig.php";
	
	require_once "wchamlib.php";

$prevSmeterAnswer = "abcdefghij";

$prevFrequencyMainAnswer = "abcdefghij";

$ts = 0;    // timestamp

$us = 0;
$dus = 0;

$code = '';
$rxab = '';


$catAnswerArray = array 
(
	"param"=>'0',
	"value"=>0,
	"nchar"=>"0",
	"code"=>"",
	"rxab"=>'',
	"error"=>RPI_ERROR_NO_ERROR,
	"ts"=>0
);	



$SessionVars = array();
// create convenient array of session variables
//$SessionVars['filterstring'] = $_SESSION['filterstring'];


$ad = new ajaxdata;
// code start point

$connection = "RI";
$catcomms = "RS23";
$rigfix = 'nofix';
$tty = 'FRED';
$vfomode = 'N';

if(isset($_SESSION['connection'])) {$connection = $_SESSION['connection'];}
if(isset($_SESSION['catcomms'])) {$catcomms = $_SESSION['catcomms'];}
if(isset($_SESSION['rigfix'])) {$rigfix = $_SESSION['rigfix'];}
if(isset($_SESSION['tty'])) {$tty = $_SESSION['tty'];}
if(isset($_SESSION['vfomode'])) {$vfomode = $_SESSION['vfomode'];}

if(isset($_SESSION['civaddr'])) {$civaddr = $_SESSION['civaddr'];}
if(isset($_SESSION['rigfix'])) {$rigfix = $_SESSION['rigfix'];}
if(isset($_SESSION['civaddr'])) {$civaddr = $_SESSION['civaddr'];}
if(isset($_SESSION['baudrate'])) {$baudrate = $_SESSION['baudrate'];}

if(isset($_SESSION['stopbits'])) {$stopbits = $_SESSION['stopbits'];}
if(isset($_SESSION['charbits'])) {$charbits = $_SESSION['charbits'];}
if(isset($_SESSION['parity'])) {$parity = $_SESSION['parity'];}
if(isset($_SESSION['hamlib'])) {$hamlib = $_SESSION['hamlib'];}



$ad->ParamList();   // this ajax  called module starts with finction JobList

class ajaxdata
{
	
	public function ReturnXXX()
	{
		$catAnswerArray['error'] = XXX_COMMAND;				
		echo json_encode($catAnswerArray);		
	}
	
	
	
	public function hamlibError($ansValue)
	{
		switch($ansValue)
		{
			case "ERRORHL_WRITE_OK":		{$res = RPI_ERROR_NO_ERROR; break; }
			case "ERRORHL_READ_XXX":		{$res = ERRORHL_READ_XXX; break; }
			case "ERRORHL_READ": 				{$res = ERRORHL_READ; break; }
			case "ERRORHL_SOCKET":			{$res = ERRORHL_SOCKET; break; }
			case "ERRORHL_READ_Q": 			{$res = ERRORHL_READ_Q; break; }
			case "ERRORHL_SEND_CMD_RX": {$res = ERRORHL_SEND_CMD_RX; break; }
			case "ERRORHL_WRITE": 			{$res = ERRORHL_WRITE; break; }
			case "ERRORHL_WRITE_Q": 		{$res = ERRORHL_WRITE_Q; break; }
			default:			{$res = RPI_ERROR_NO_ERROR; break; }   // includes ok read anaswers
		}
		return $res;
	}
	
	
	
	
	public function ParamList()
	{
		global $Hamlib;
		global $rxab;
		global $code;
		global $ts;
		$rig = $_GET['rig'];
		$paramCode = $_GET['param'];   // what we are reading or writing
		$rxab = $_GET['rxab'];
		$task = intval($_GET['task']);     // read or write
		$code = $_GET['code'];
		$jobdata = $_GET['jobdata'];
		$xdata = $_GET['xdata'];
		$ts = $_GET['ts'];
		switch($paramCode)		
		{
			case 'MOX':
			  if($task == CAT_READ) $this->GetButtonCat($rig, $code,  $rxab, $jobdata, $xdata);
			  // there is no CAT_WRITE command here !!
			  break; 			 			
			case 'METR':
			  if($task == CAT_READ) $this->GetMeterLevel($rig, $code,  $rxab, $jobdata, $xdata);
			  // there is no CAT_WRITE command here !!
			  break;  	
			case 'FREQ':
			  if($task == CAT_READ) $this->GetFrequency($rig, $code, $rxab, $jobdata, $xdata);
			  if($task == CAT_WRITE) $this->SetFrequency($rig, $code, $rxab, $jobdata, $xdata);
			  break;			
			case 'BUTN':
			  if($task == CAT_READ) $this->GetButtonCat($rig, $code, $rxab, $jobdata, $xdata);
			  if($task == CAT_WRITE) $this->SetButtonCat($rig, $code, $rxab, $jobdata, $xdata);
				break;			  	  		    
			case 'SLDR':
			  if($task == CAT_READ) $this->GetSliderCat($rig, $code, $rxab, $jobdata, $xdata);
			  if($task == CAT_WRITE) $this->SetSliderCat($rig, $code, $rxab, $jobdata, $xdata);
				break;			  	  		    
			case 'DATA':
			  if($task == CAT_READ) $this->GetDataCat($rig, $code, $rxab, $jobdata, $xdata);
			  if($task == CAT_WRITE) $this->SetDataCat($rig, $code, $rxab, $jobdata, $xdata);
				break;			  	  		    			  	  		    
			default: return;	
		}	
	}  




//  fro FTdx101D - single call returns both meters
	public function GetMeterLevel($rig, $code, $rxab, $jobdata, $xdata)
	{
		global $sendBytesCiv;
		global $answerBytesCiv;
		global $TaskMysql;
		global $RPiCom;
		global $answerBytes;
		global $readBytes;
		global $readMask;
		global $catAnswerArray;
		global $answerMask;
		global $Coder;
		global $CoderCiv;
		global $prevSmeterAnswer;
		global $connection;
		global $catcomms;
		global $catStringCiv;
		global $Hamlib;
		global $ts;
		$catAnswerArray['ts'] = $ts;
		
		
		switch($catcomms)
		{
			case 'CIV':
			{
				$TaskMysql->getMysqlConfigCiv('meterciv', $rig, $code, $rxab);
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catStringCiv = $CoderCiv->BuildReadFrameCiv($jobdata);	
				$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, $answerBytesCiv, 'nostore', 'nouse');		
				$ansValue = 0;
				if ($CoderCiv->ParseAnswer($answer, $ansValue) == false)
				{
					$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
				}		
				else
				{	
					$catAnswerArray['value'] = $ansValue;
					$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
					$catAnswerArray['nchar'] = $answerBytes;
					$catAnswerArray['param'] = 'METR';
					$catAnswerArray['code'] = $code;
					$catAnswerArray['rxab'] = $rxab;
				}
				break;				
			}
			
			case 'ASCII':
			case 'YAESU5':
			{
				$TaskMysql->getMysqlConfig('meter', $rig, $code, $rxab);
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Coder->BuildReadFrame($jobdata);	
				$answer = $RPiCom->SendCommand($catString, $readBytes, $answerBytes, 'nostore', 'nouse');	
				$ansValue = 0;
				if ($Coder->ProcessAnswer($answer, $ansValue) == false)
				{
					$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
				}		
				else
				{	
					$catAnswerArray['value'] = $ansValue;
					$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
					$catAnswerArray['nchar'] = $answerBytes;
					$catAnswerArray['param'] = 'METR';
					$catAnswerArray['code'] = $code;
					$catAnswerArray['rxab'] = $rxab;
				}
				break;
			}
			
			case 'HAMLIB':
			{
				$TaskMysql->getMysqlConfigHamlib('meterhl', $rig, $code, $rxab);
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Hamlib->hamlibBuildReadFrame($jobdata);	
				$ansValue = $Hamlib->hamlibRead($catString);
				if(substr($ansValue, 0, 7) == "ERRORHL")
				{
					if($code=="STRENGTH")
					{ $ansValue = "-54";}
					else
					{ $ansValue = "0";}
				}				
				$catAnswerArray['value'] = floatval($ansValue);
				$catAnswerArray['error'] = $this->hamlibError($ansValue);
				$catAnswerArray['nchar'] = $answerBytes;
				$catAnswerArray['param'] = 'METR';
				$catAnswerArray['code'] = $code;
				$catAnswerArray['rxab'] = $rxab;					

				break;
			}	
		}
		echo json_encode($catAnswerArray);		
	}
		
	
	public function GetFrequency($rig, $code, $rxab, $jobdata, $xdata)
	{
		global $sendBytesCiv;
		global $answerBytesCiv;
		global $dus;
		global $TaskMysql;
		global $RPiCom;
		global $answerBytes;
		global $readBytes;
		global $readMask;
		global $catAnswerArray;
		global $answerMask;
		global $prevFrequencyMainAnswer;
		global $Coder;
		global $CoderCiv;
		global $catcomms;
		global $catStringCiv;
		global $rigfix;
		global $modcat;
		global $Hamlib;
		global $ts;
		$catAnswerArray['ts'] = $ts;
		
		switch($catcomms)
		{
			case 'CIV':
			{	
				$TaskMysql->getMysqlConfigCiv('catcodesciv', $rig, $code, $rxab);
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catStringCiv = $CoderCiv->BuildReadFrameCiv();
				$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, $answerBytesCiv, 'nostore', 'nouse');// $answerBytes set by Coder	
		
				$ansValue = 0;
				if($CoderCiv->ParseAnswer($answer, $ansValue) == false)
				{
					$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
				}		
				else
				{	
					$catAnswerArray['value'] = $ansValue;
					$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
					$catAnswerArray['nchar'] = $answerBytes;
					$catAnswerArray['param'] = 'FREQ';
					$catAnswerArray['code'] = $code;
					$catAnswerArray['rxab'] = $rxab;
				}
				break;						
			}
			
			case 'ASCII':
			case 'YAESU5':
			{		
				$storeSvar = 'nostore';
				$useSvar = 'nouse';
				
				// rigfix FT920
				if($rigfix =='FT920')
				{ 
					if($rxab == 'B') {$useSvar = 'vfodata';};
					if($rxab == 'A') {$storeSvar = 'vfodata';};	
				}
				// end rigfix FT920
					 
 				$TaskMysql->getMysqlConfig('catcodes', $rig, $code, $rxab);		
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Coder->BuildReadFrame($jobdata);			
				$answer = $RPiCom->SendCommand($catString, $readBytes, $answerBytes, $storeSvar, $useSvar);   	
				//if($answer  == $prevFrequencyMainAnswer) return;
				$prevFrequencyMainAnswer = $answer;
				if ($Coder->ProcessAnswer($answer, $ansValue) == false)
				{
					$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
				}		
				else
				{	
					$catAnswerArray['value'] = intval($ansValue);
					$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
					$catAnswerArray['nchar'] = $answerBytes;
					$catAnswerArray['param'] = 'FREQ';
					$catAnswerArray['code'] = $code;
					$catAnswerArray['rxab'] = $rxab;
				}
				break;
			}
			
			case 'HAMLIB':
			{
				$TaskMysql->getMysqlConfigHamlib('catcodeshl', $rig, $code, $rxab);
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Hamlib->hamlibBuildReadFrame($jobdata);	
				$ansValue = $Hamlib->hamlibRead($catString);
				if(substr($ansValue, 0, 7) != "ERRORHL") {$catAnswerArray['value'] = floatval($ansValue);}   // ?????????
				$catAnswerArray['error'] = $this->hamlibError($ansValue);
				$catAnswerArray['nchar'] = $answerBytes;
				$catAnswerArray['param'] = 'FREQ';
				$catAnswerArray['code'] = $code;				
				$catAnswerArray['rxab'] = $rxab;			
				break;
			}		
		}	
		echo json_encode($catAnswerArray);		
	}
		
	


	public function SetFrequency($rig, $code, $rxab, $jobdata, $xdata)
	{
		global $sendBytesCiv;
		global $answerBytesCiv;
		global $TaskMysql;
		global $RPiCom;
		global $answerBytes;
		global $readBytes;
		global $setBytes;
		global $readMask;
		global $setMask;
		global $catAnswerArray;
		global $answerMask;
		global $prevFrequencyMainAnswer;
		global $Coder;
		global $CoderCiv;
		global $catcomms;
		global $catStringCiv;
		global $Hamlib;
		global $ts;
		$catAnswerArray['ts'] = $ts;
		
		switch($catcomms)
		{
			case 'CIV':
			{
				$TaskMysql->getMysqlConfigCiv('catcodesciv', $rig, $code, $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catStringCiv = $CoderCiv->BuildSetFrameCiv($jobdata);
				$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, 6, 'nostore', 'nouse');	// six byte OK merssage expected			
				break;
			}
			
			case 'ASCII':
			case 'YAESU5':
			{		
				$TaskMysql->getMysqlConfig('catcodes', $rig, $code,  $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$answerBytes = 0;  /// otherwise will wait for response
				$answerMask = '';  // unused in set -  but can make processY5Mask() return true
				$catString = $Coder->BuildSetFrame($jobdata);			
				$answer = $RPiCom->SendCommand($catString, $setBytes, 0, 'nostore', 'nouse');	
				$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
				break;
			}
			case 'HAMLIB':
			{
				$TaskMysql->getMysqlConfigHamlib('catcodeshl', $rig, $code, $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Hamlib->hamlibBuildSetFrame($jobdata);	
				$ansValue = $Hamlib->hamlibSet($catString);
				$catAnswerArray['error'] = $this->hamlibError($ansValue);		
				break;
			}
		}		
		echo json_encode($catAnswerArray);	
	}

	
	public function GetButtonCat($rig, $code, $rxab, $jobdata, $xdata)
	{	
		global $sendBytesCiv;
		global $answerBytesCiv;
		global $readBytes;
		global $answerBytes;
		global $TaskMysql;
		global $Coder;
		global $CoderCiv;
		global $RPiCom;
		global $code;
		global $rxab;
		global $catAnswerArray;
		global $catcomms;
		global $catStringCiv;
		global $com;
		global $readMask;
		global $Hamlib;
		global $ts;
		$catAnswerArray['ts'] = $ts;
		
		switch($catcomms)
		{
			case 'CIV':
			{
				$TaskMysql->getMysqlConfigCiv('catcodesciv', $rig, $code, $rxab);
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
					if($com == 0x07)    //   no VFO slection read !!! scream!!! Set VFOA on startup instead!
				{
				 	$catAnswerArray['error'] = NO_BUTTON_READ_AVAILABLE;
					echo json_encode($catAnswerArray);
				  return;
				}
				$catStringCiv = $CoderCiv->BuildReadFrameCiv();
				$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, $answerBytesCiv, 'nostore', 'nouse');// $answerBytes set by Coder	
				$ansValue = 0;
				if($CoderCiv->ParseAnswer($answer, $ansValue) == false)
				{
					$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
				}		
				else
				{	
					$catAnswerArray['value'] = $ansValue;
					$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
					$catAnswerArray['nchar'] = $answerBytes;
					$catAnswerArray['param'] = 'BUTN';
					$catAnswerArray['code'] = $code;
					$catAnswerArray['rxab'] = $rxab;
				}
				break;
			}							
		
			case 'ASCII':
			case 'YAESU5':
			{		
				$useSvar = 'nouse';
				$storeSvar = 'nostore';
				
				/////////////////// FT920 rigfix   /////////- mode read with freq A
				if($rigfix = 'FT920')
				{
					// mode from 28 byte block read by FREQ = 'A'
					if($code == 'MODE') { $useSvar = 'vfodata';};   // actually read by get freq
					// 8 byte status block. Read and stored by MOX = byte 0  bit 7. Store accessed by all other bytes
					if($code == 'MOX') 
					{ 
						$storeSvar = 'statusflags';
					}
					else  // all other 00000001FA requests
					{
 						if(substr($readMask,8,2) == 'FA') { $useSvar = 'statusflags';};
					}
				}		
				/////////// end rigfix FT920  ///////////////
			
				$TaskMysql->getMysqlConfig('catcodes', $rig, $code, $rxab);		
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Coder->BuildReadFrame($jobdata);	
				$answer = $RPiCom->SendCommand($catString, $readBytes, $answerBytes, $storeSvar, $useSvar);	
				$ansValue = 0;		
				if ($Coder->ProcessAnswer($answer, $ansValue) == false)
				{
					$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
				}		
				else
				{	
					$catAnswerArray['value'] = $ansValue;
					$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
					$catAnswerArray['nchar'] = $answerBytes;
					$catAnswerArray['param'] = 'BUTN';
					$catAnswerArray['code'] = $code;
					$catAnswerArray['rxab'] = $rxab;
				}
				break;
			}
			
			case 'HAMLIB':
			{
				$TaskMysql->getMysqlConfigHamlib('catcodeshl', $rig, $code, $rxab);
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Hamlib->hamlibBuildReadFrame($jobdata);	
				$ansValue = $Hamlib->hamlibRead($catString);
				$catAnswerArray['value'] = $ansValue;
				$catAnswerArray['error'] = $this->hamlibError($ansValue);
				$catAnswerArray['nchar'] = $answerBytes;
				$catAnswerArray['param'] = 'BUTN';
				$catAnswerArray['code'] = $code;
				$catAnswerArray['rxab'] = $rxab;			
				break;
			}
		}
		echo json_encode($catAnswerArray);		
	}
	


	public function SetButtonCat($rig, $code, $rxab, $jobdata, $xdata)
	{
		global $setBytes;
	//	global $caiBytes;
		global $TaskMysql;
		global $Coder;
		global $CoderCiv;
		global $RPiCom;
		global $catcomms;
		global $sendBytesCiv;
		global $answerBytesCiv;
		global $catStringCiv;
		global $setMask;
		global $code;
		global $datadigits;
		global $Hamlib;
		global $catAnswerArray;
		global $ts;
		$catAnswerArray['ts'] = $ts;
		
		switch($catcomms)
		{
			case 'CIV':
			{
				$TaskMysql->getMysqlConfigCiv('catcodesciv', $rig, $code, $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catStringCiv = $CoderCiv->BuildSetFrameCiv($jobdata);
				switch($code)
				{
					case 'BAND':
					case 'BSTACK':
					{
						$bandStackingFreq = 0;
						$bandStackingMode = 0;
						$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, 26, 'nostore', 'nouse');	// six byte OK merssage expected
						if($code == 'BSTACK')
						{
						
							break;
						}
						if($CoderCiv->ParseBandStackingAnswer($answer, $bandStackingFreq, $bandStackingMode) == false)
						{
							$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
						}
						else
						{
							$code = 'FREQ';
							$cmdtype = 'C_DATA';
							$TaskMysql->getMysqlConfigCiv('catcodesciv', $rig, $code, $rxab);
							$datadigits = 10;
							$catStringCiv = $CoderCiv->BuildSetFrameCiv($bandStackingFreq);					
							$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, $answerBytesCiv, 'nostore', 'nouse');	// six byte OK merssage expected
							//////////
							$code = 'MODE';
							$cmdtype = 'C_DATA';
							$TaskMysql->getMysqlConfigCiv('catcodesciv', $rig, $code, $rxab);
							$catStringCiv = $CoderCiv->BuildSetFrameCiv($bandStackingMode);					
							$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, $answerBytesCiv, 'nostore', 'nouse');	// six byte OK merssage expected
						}
						break;
					}
					case 'FRUP':
					{
						echo 'UP!';
					
						$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;					
						break;
					}
					
					case 'FRDN':
					{
						echo 'DOWN!';
						$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
						break;
					}
				
					default: 
					{
						$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, 6, 'nostore', 'nouse');	// six byte OK merssage expected		
						break;
					}
				}
				break;
			}
			
			case 'ASCII':
			case 'YAESU5':				
			{
				$answerBytes = 0;  /// otherwise will wait for response
				$answerMask = '';  // unused in set -  but can make processY5Mask() return true
				$TaskMysql->getMysqlConfig('catcodes', $rig, $code, $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Coder->BuildSetFrame($jobdata);	  
				$answer = $RPiCom->SendCommand($catString, $setBytes, 0, 'nostore', 'nouse');	
				$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
				break;
			}
			
			case 'HAMLIB':
			{
				$TaskMysql->getMysqlConfigHamlib('catcodeshl', $rig, $code, $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Hamlib->hamlibBuildSetFrame($jobdata);	
				$ansValue = $Hamlib->hamlibSet($catString);
				$catAnswerArray['error'] = $this->hamlibError($ansValue);
				break;
			}
		}
		echo json_encode($catAnswerArray);	
	}



	public function GetSliderCat($rig, $code, $rxab, $jobdata, $xdata)
	{
		global $readBytes;
		global $answerBytes;
		global $TaskMysql;
		global $Coder;
		global $CoderCiv;
		global $RPiCom;
		global $code;
		global $rxab;
		global $catAnswerArray;
		global $catcomms;
		global $sendBytesCiv;
		global $answerBytesCiv;
		global $catStringCiv;
		global $readMask;
		global $Hamlib;
		global $ts;
		$catAnswerArray['ts'] = $ts;
		
		switch($catcomms)
		{
			case 'CIV':
			{
				$TaskMysql->getMysqlConfigCiv('slidersciv', $rig, $code, $rxab);		
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catStringCiv = $CoderCiv->BuildReadFrameCiv();
				$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, $answerBytesCiv, 'nostore', 'nouse');// $answerBytes set by Coder			
				$ansValue = 0;
				if($CoderCiv->ParseAnswer($answer, $ansValue) == false)
				{
					$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
				}		
				else
				{	
					$catAnswerArray['value'] = $ansValue;
					$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
					$catAnswerArray['nchar'] = $answerBytes;
					$catAnswerArray['param'] = 'SLDR';
					$catAnswerArray['code'] = $code;
					$catAnswerArray['rxab'] = $rxab;
				}		
				break;
			}
				
			case 'ASCII':
			case 'YAESU5':
			{
				$useSvar = 'nouse';
				$storeSvar = 'nostore';
	
				// FT920 rigfix   - mode read with freq A
				if($rigfix = 'FT920')
				{
					// Read meter 3rd row in manual  (00000002F7)
					if($code == 'HPFL') { $storeSvar = '02F7';};
					if(($code == 'LPFL') || ($code == 'SQEL')) { $useSvar = '02F7';};
					if($code == 'CLAR') {$usevar = 'vfodata';};

				}		
				// end rigfix FT920
	
				$TaskMysql->getMysqlConfig('sliders', $rig, $code, $rxab);			
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Coder->BuildReadFrame($jobdata);	
				$answer = $RPiCom->SendCommand($catString, $readBytes, $answerBytes, $storeSvar, $useSvar);	
					$ansValue = 0;
				if ($Coder->ProcessAnswer($answer, $ansValue) == false)
				{
					$catAnswerArray['error'] = RIG_DATA_PARSER_ERROR;
				}		
				else
				{	
					$catAnswerArray['value'] = $ansValue;
					$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
					$catAnswerArray['nchar'] = $answerBytes;
					$catAnswerArray['param'] = 'SLDR';
					$catAnswerArray['code'] = $code;
					$catAnswerArray['rxab'] = $rxab;
				}
				break;
			}
			case 'HAMLIB':
			{
				$TaskMysql->getMysqlConfigHamlib('slidershl', $rig, $code, $rxab);		
				if(substr($readMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Hamlib->hamlibBuildReadFrame($jobdata);	
				$ansValue = $Hamlib->hamlibRead($catString);
				$catAnswerArray['value'] = floatval($ansValue);  // ?????????????????????????
				$catAnswerArray['error'] = $this->hamlibError($ansValue);
				$catAnswerArray['nchar'] = $answerBytes;
				$catAnswerArray['param'] = 'SLDR';
				$catAnswerArray['code'] = $code;
				$catAnswerArray['rxab'] = $rxab;						
				break;
			}		
		}	
		echo json_encode($catAnswerArray);		
	}


	
	public function SetSliderCat($rig, $code, $rxab, $jobdata, $xdata)
	{
		global $setBytes;
		global $sendBytesCiv;
		global $TaskMysql;
		global $Coder;
		global $CoderCiv;
		global $RPiCom;
		global $catcomms;
		global $catStringCiv;
		global $rigfix;
		global $modcat;
		global $Hamlib;
		global $setMask;
		global $ts;
		$catAnswerArray['ts'] = $ts;
		
		switch($catcomms)
		{
			case 'CIV':
			{
				$TaskMysql->getMysqlConfigCiv('slidersciv', $rig, $code, $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catStringCiv = $CoderCiv->BuildSetFrameCiv($jobdata);
				$answer = $RPiCom->SendCommand($catStringCiv, $sendBytesCiv, 6, 'nostore', 'nouse');	// six byte ok message expected		
				break;
			}
			
			case 'ASCII':
			case 'YAESU5':
			{		
				$answerBytes = 0;  /// otherwise will wait for response
				$answerMask = '';  // unused in set -  but can make processY5Mask() return true
				$TaskMysql->getMysqlConfig('sliders', $rig, $code, $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Coder->BuildSetFrame($jobdata);	  
				////////   FT920 rigfix
				if(($rigfix == 'FT920') || ($rigfix == 'FT818')){$catString = $modcat->FT920PlusMinus($catString);};
				//////// FT920 rigfix end
				$answer = $RPiCom->SendCommand($catString, $setBytes, 0, 'nostore', 'nouse');	
				break;
			}
			
			case 'HAMLIB':
			{
				$TaskMysql->getMysqlConfigHamlib('slidershl', $rig, $code, $rxab);
				if(substr($setMask,0,3)=='xxx'){$this->ReturnXXX(); return;}; // first 3 chars 'xxx'
				$catString = $Hamlib->hamlibBuildSetFrame($jobdata);	
				$ansValue = $Hamlib->hamlibSet($catString);		
				$catAnswerArray['error'] = $this->hamlibError($ansValue);				
				break;
			}
		}		
		$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
		echo json_encode($catAnswerArray);	
	}



	public function GeDataCat($rig, $code, $rxab, $jobdata, $xdata)
	{
		global $RPiCom;
		global $code;
		global $rxab;
		global $catAnswerArray;
		global $catcomms;		
		global $ts;
		$catAnswerArray['ts'] = $ts;
		echo json_encode($catAnswerArray);		
	}


	
	public function SetDataCat($rig, $code, $rxab, $jobdata, $xdata)
	{
		global $GetRadio;
		global $catcomms;
		global $ts;
		$catAnswerArray['ts'] = $ts;
		switch($code)
		{
			case 'BSTK':   //
			{
				if($catcomms == 'CIV'){$this->setBandStackReg($jobdata, $xdata);};
				break;
			}
			case 'CONC':
				{		
					$GetRadio->SetCNO($jobdata);
					break;
				}
			default: break;		
		}
		$catAnswerArray['error'] = RPI_ERROR_NO_ERROR;
		echo json_encode($catAnswerArray);	
	}


	public function setBandStackReg($jobdata, $xdata)
	{
		global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $rig;
		global $RPiCom;
		// The BAND command read band stacking reg   - so read command parameters from catcodesciv
		$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT rigaddr, rpiaddr, cmdtype, datadigits, com, subcom, subcom4or6 ";
  	$sql .= "FROM catcodesciv WHERE (rig = '" . $rig . "') AND (code = 'BAND');"; 
   	$result			= mysqli_query($conn, $sql);
   	$row				= mysqli_fetch_array($result);
		$rigaddr 		= $row[0];
		$rpiaddr		= $row[1];  
		$cmdtype		=	$row[2];
		$datadigits	= $row[3];
		$com				= $row[4];
		$subcom   	= $row[5];
		$subcon4or6 = $row[6];

		$catString = pack("C18",0xFE,0xFE,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
		$catString[2] = chr(hexdec($rigaddr));
		$catString[3] = chr(hexdec($rpiaddr));
		$catString[4] = chr(hexdec($com));
		$catString[5] = chr(hexdec($subcom));

	  $jd = intval($jobdata);
		$d = $jd %100;
		$bcd = ($d % 10) + 16*floor($d / 10);					
		$catString[7] = chr($bcd);

		$d = floor($jd/100);
		$bcd = ($d % 10) + 16*floor($d / 10);					
		$catString[6] = chr($bcd);
		
		$catString[8] = chr(0xFD);
		// read  old band band stacking reg from rig
		$stackString = $RPiCom->SendCommand($catString, 9, 26, 'nostore', 'nouse');		

		$x = intval($xdata);		
		//modify last old band bandstacking entry with old band last freq sent from client
		for($i=8;$i<=12;$i++)
		{
			$d = $x % 100;
			$bcd = ($d % 10) + 16*floor($d / 10);
			$stackString[$i] = chr($bcd);
			$x /= 100;
		}
	  // these need un-reversing!
		$stackString[2] = chr(hexdec($rigaddr));
		$stackString[3] = chr(hexdec($rpiaddr));
    // send modified babnd stacking reg back back to rig
		$RPiCom->SendCommand($stackString,26, 6, 'nostore', 'nouse');	
	}

} // end class	

?>



