<?php
// wctaskmysql   - accesses task character masks


require_once 'PhpSerial.php';
require_once 'wcmysql.php';


///////////////////////////////////////////////////////////////////////////////////

// for catcomms == 'ASCI' and 'YAESU5';
$readMask 		= 'ABCDEFGHJ';
$answerMask 	= 'ABCD';
$setMask 			= 'ABCDEFGHJ';
$answerMask = 'ABCD';
$readBytes 		= 0;
$answerBytes 	= 0;
$setBytes 		= 0;	

$portRxBytes = 0;
$extractStart = 0;
$extractCount = 5;
$extractBitMask = 0xFF;
$extractAnswerMask = '';
$hexToDec = false;
$hexToDec2sC = false;
$hexAnsX = false;
$hexAnsY = false;


// for catcomms == 'CIV'
$rigaddr 		= '00';
$rpiaddr 		= 'E0';;
$cmdtype 		= 'xxxx';
$datadigits = 0;
$com    		= 'FF';
$subcom			= 'FF';
$subcom4or6	= 59999;
$sendBytesCiv = 0;	
$answerBytesCiv = 0;
$dataIndexCiv = 0;  // expected start index of bcd data in answer string
$bcdbytes = 0;
$catStringCiv = '';




$TaskMysql = new TaskMysqlClass;


class TaskMysqlClass
{	

	public function getMysqlConfigHamlib($table, $rig, $code, $rxab)
	{
		global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $readMask;
		global $setMask;
		global $answerMask;
	 	$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT readmask, setmask, answermask ";
  	$sql .= "FROM " . $table . " WHERE (rig = '" . $rig . "') AND (code = '" . $code . "') AND ((abx = '" . $rxab . "') OR (abx = 'X'));"; 
   	$result = mysqli_query($conn, $sql);
   	$row = mysqli_fetch_array($result);
		$readMask = $row[0];
		$setMask	= $row[1];  
		$answerMask = $row[2];
		mysqli_close($conn);
	}






	public function getMysqlConfig($table, $rig, $code, $rxab)
	{
		global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $readBytes;
		global $setBytes;
		global $answerBytes;
		global $readMask;
		global $answerMask;
		global $setMask;
	 	$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT readbytes, setbytes, answerbytes, readmask, setmask, answermask ";
  	$sql .= "FROM " . $table . " WHERE (rig = '" . $rig . "') AND (code = '" . $code . "') AND ((abx = '" . $rxab . "') OR (abx = 'X'));"; 
   	$result = mysqli_query($conn, $sql);
   	$row = mysqli_fetch_array($result);
		$readBytes 		= $row[0];
		$setBytes			= $row[1];  
		$answerBytes	=	$row[2];
		$readMask			= $row[3];
		$setMask			= $row[4];
		$answerMask		= $row[5];
		mysqli_close($conn);
	}


	public function getMysqlConfigCiv($table, $rig, $code, $rxab)
	{

		global $DbServer;
		global $DbUser;
		global $DbPw;
		global $Database;
		global $rigaddr;
		global $rpiaddr;
		global $cmdtype;
		global $datadigits;
		global $com;
		global $subcom;
		global $subcom4or6;
	 	$conn = mysqli_connect($DbServer,$DbUser,$DbPw,$Database);
 		if (mysqli_connect_errno($conn)){echo "failed to connect to MySQL: " . mysqli_connect_error(); }
		$sql = "SELECT rigaddr, rpiaddr, cmdtype, datadigits, com, subcom, subcom4or6 ";
  	$sql .= "FROM " . $table . " WHERE (rig = '" . $rig . "') AND (code = '" . $code . "') AND ((abx = '" . $rxab . "') OR (abx = 'X'));"; 
   	$result			= mysqli_query($conn, $sql);
   	$row				= mysqli_fetch_array($result);
		$rigaddr 		= $row[0];
		$rpiaddr		= $row[1];  
		$cmdtype		=	$row[2];
		$datadigits	= $row[3];
		$com				= $row[4];
		$subcom   	= $row[5];
		$subcom4or6 = $row[6];
		mysqli_close($conn);
	}




}  //  end  TaskMysqlClass
